E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::FactoryParser::Result Struct Reference

Result tuple for GSmtp::FactoryParser::parse(). More...

`#include <gfactoryparser.h>`

## Public Member Functions
| Result (const std::string &, const std::string &)
| Result (const std::string &, const std::string &, int)

## Public Attributes
std::string | first
std::string | second
int | third {0}

## Detailed Description

Result tuple for GSmtp::FactoryParser::parse().

Definition at line 41 of file gfactoryparser.h.

## Constructor & Destructor Documentation

## ◆ Result() [1/2]

GSmtp::FactoryParser::Result::Result | ( | const std::string & | first_,
|  | const std::string & | second_
| ) |  |

Definition at line 98 of file gfactoryparser.cpp.

## ◆ Result() [2/2]

GSmtp::FactoryParser::Result::Result | ( | const std::string & | first_,
|  | const std::string & | second_,
|  | int | third_
| ) |  |

Definition at line 104 of file gfactoryparser.cpp.

## Member Data Documentation

## ◆ first

std::string GSmtp::FactoryParser::Result::first

Definition at line 46 of file gfactoryparser.h.

## ◆ second

std::string GSmtp::FactoryParser::Result::second

Definition at line 47 of file gfactoryparser.h.

## ◆ third

int GSmtp::FactoryParser::Result::third {0}

Definition at line 48 of file gfactoryparser.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfactoryparser.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfactoryparser.cpp